commit:     062bdaa87b56084acee639b0b4b35f1434fa5835
Author:     Davide Pesavento <pesa <AT> gentoo <DOT> org>
AuthorDate: Mon Dec 24 18:38:28 2018 +0000
Commit:     Davide Pesavento <pesa <AT> gentoo <DOT> org>
CommitDate: Mon Dec 24 18:38:28 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=062bdaa8

dev-python/sip: add 4.19.14 snapshot, EAPI 7

Package-Manager: Portage-2.3.52, Repoman-2.3.12
Signed-off-by: Davide Pesavento <pesa <AT> gentoo.org>

 dev-python/sip/Manifest                         |   1 +
 dev-python/sip/sip-4.19.14_pre1812231555.ebuild | 115 ++++++++++++++++++++++++
 2 files changed, 116 insertions(+)

diff --git a/dev-python/sip/Manifest b/dev-python/sip/Manifest
index bf6364200f3..d625bcd97bb 100644
--- a/dev-python/sip/Manifest
+++ b/dev-python/sip/Manifest
@@ -1,2 +1,3 @@
 DIST sip-4.19.13.tar.gz 1038815 BLAKE2B 
0b6f2941140a535cfdfb51db71cf9a55e5f65be85961e304496fded7781da42b0ab7d01045b8802468a3ce3b57e7f571851fc7713fd47a03c8344017982d6632
 SHA512 
eb456e1f7efa463f859047acc5301e19279e1627629d0bad3ac7a0a52b77575126bc3f2c64bb4278ae11d415c13d2731dfc8c816bba71307173d393a414aae98
+DIST sip-4.19.14.dev1812231555.tar.gz 1020224 BLAKE2B 
e3df5a8b7829278987c5b368b8b6c28c04fc0b3bb3847451e48411ef9ba5cda932007613ad31f34381446ea02d62281b27ae4951babca5ec8b75f065aa296365
 SHA512 
decf2f7baacede27c42d359eb875a895c9a92b36a8e8a29f4666b3f98f570d821e80dbb32fd946ce230f726fafc4000af9b167df8cfd188bcd7f85fbc71bd4b1
 DIST sip-4.19.8.tar.gz 1024548 BLAKE2B 
e43dfe542061db9f1d5981d0cc172d9c8420c4e66c282c52974ab28314c33bd28e6056b61f74b04680c1735c9bd2c4656e1a541f4bae94c858d18713f6222914
 SHA512 
9c0a9722a9a9dd23e2eabe751d622cdd31b376b7987b2c991f5ef4a8d11853c5c6e9f1c24a0d2d864d3990e2a45c2a159ca8511efd4a7e156a14937ef3c680f7

diff --git a/dev-python/sip/sip-4.19.14_pre1812231555.ebuild 
b/dev-python/sip/sip-4.19.14_pre1812231555.ebuild
new file mode 100644
index 00000000000..461733f71a1
--- /dev/null
+++ b/dev-python/sip/sip-4.19.14_pre1812231555.ebuild
@@ -0,0 +1,115 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 python3_{4,5,6,7} )
+inherit python-r1 toolchain-funcs
+
+DESCRIPTION="Python extension module generator for C and C++ libraries"
+HOMEPAGE="https://www.riverbankcomputing.com/software/sip/intro";
+
+if [[ ${PV} == *9999 ]]; then
+       inherit mercurial
+       EHG_REPO_URI="https://www.riverbankcomputing.com/hg/sip";
+elif [[ ${PV} == *_pre* ]]; then
+       MY_P=${P/_pre/.dev}
+       SRC_URI="https://dev.gentoo.org/~pesa/distfiles/${MY_P}.tar.gz";
+       S=${WORKDIR}/${MY_P}
+else
+       SRC_URI="mirror://sourceforge/pyqt/${P}.tar.gz"
+fi
+
+# Sub-slot based on SIP_API_MAJOR_NR from siplib/sip.h
+SLOT="0/12"
+LICENSE="|| ( GPL-2 GPL-3 SIP )"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 
~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
+IUSE="debug doc"
+
+RDEPEND="${PYTHON_DEPS}"
+DEPEND="${RDEPEND}"
+if [[ ${PV} == *9999 ]]; then
+       DEPEND+="
+               sys-devel/bison
+               sys-devel/flex
+               doc? ( dev-python/sphinx[$(python_gen_usedep 'python2*')] )"
+fi
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+if [[ ${PV} == *9999 ]]; then
+       REQUIRED_USE+=" || ( $(python_gen_useflags 'python2*') )"
+fi
+
+PATCHES=( "${FILESDIR}"/${PN}-4.18-darwin.patch )
+
+src_prepare() {
+       if [[ ${PV} == *9999 ]]; then
+               python_setup 'python2*'
+               "${PYTHON}" build.py prepare || die
+               if use doc; then
+                       "${PYTHON}" build.py doc || die
+               fi
+       fi
+
+       # Sub-slot sanity check
+       local sub_slot=${SLOT#*/}
+       local sip_api_major_nr=$(sed -nre 's:^#define 
SIP_API_MAJOR_NR\s+([0-9]+):\1:p' siplib/sip.h || die)
+       if [[ ${sub_slot} != ${sip_api_major_nr} ]]; then
+               eerror
+               eerror "Ebuild sub-slot (${sub_slot}) does not match 
SIP_API_MAJOR_NR (${sip_api_major_nr})"
+               eerror "Please update SLOT variable as follows:"
+               eerror "    SLOT=\"${SLOT%%/*}/${sip_api_major_nr}\""
+               eerror
+               die "sub-slot sanity check failed"
+       fi
+
+       default
+}
+
+src_configure() {
+       configuration() {
+               if ! python_is_python3; then
+                       local CFLAGS="${CFLAGS} -fno-strict-aliasing"
+               fi
+
+               local myconf=(
+                       "${PYTHON}"
+                       "${S}"/configure.py
+                       --bindir="${EPREFIX}/usr/bin"
+                       --destdir="$(python_get_sitedir)"
+                       --incdir="$(python_get_includedir)"
+                       $(usex debug --debug '')
+                       AR="$(tc-getAR) cqs"
+                       CC="$(tc-getCC)"
+                       CFLAGS="${CFLAGS}"
+                       CFLAGS_RELEASE=
+                       CXX="$(tc-getCXX)"
+                       CXXFLAGS="${CXXFLAGS}"
+                       CXXFLAGS_RELEASE=
+                       LINK="$(tc-getCXX)"
+                       LINK_SHLIB="$(tc-getCXX)"
+                       LFLAGS="${LDFLAGS}"
+                       LFLAGS_RELEASE=
+                       RANLIB=
+                       STRIP=
+               )
+               echo "${myconf[@]}"
+               "${myconf[@]}" || die
+       }
+       python_foreach_impl run_in_build_dir configuration
+}
+
+src_compile() {
+       python_foreach_impl run_in_build_dir default
+}
+
+src_install() {
+       installation() {
+               emake DESTDIR="${D}" install
+               python_optimize
+       }
+       python_foreach_impl run_in_build_dir installation
+
+       einstalldocs
+       use doc && dodoc -r doc/html
+}

Reply via email to